#region Copyright Syncfusion Inc. 2001 - 2016
// Copyright Syncfusion Inc. 2001 - 2016. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms;
using Syncfusion.Windows.Forms.PdfViewer;

namespace ToolbarCustomization_2005
{
    public partial class Form1 : MetroForm
    {
        # region Constructor
        public Form1()
        {
            InitializeComponent();

            // Layout controls.
            Rectangle rect = System.Windows.Forms.Screen.PrimaryScreen.Bounds;
            this.MinimumSize = new Size(rect.Width * 2 / 3, rect.Height * (3 / 2));
            this.Location = new Point(rect.Width / 6, 0);
            this.MetroColor = Color.Transparent;
        }
        # endregion

        #region Private members
        Timer timer = new Timer();

        public int ZoomPercentage { get ;  set; }
        public int ZoomLevel { get;  set; }
        #endregion

        #region Events
        /// <summary>
        /// Loads PDF into PdfViewerControl.
        /// </summary>
        private void Form1_Load(object sender, EventArgs e)
        {
            timer.Tick += timer_Tick;
            timer.Enabled = true;
            LoadDocument("../../Data/Windows Store Apps Succinctly.pdf");
        }

        private void btnFirst_Click(object sender, EventArgs e)
        {
            docViewer.GoToPageAtIndex(1);
            SetPageNumber();
        }

        private void btnLast_Click(object sender, EventArgs e)
        {
            docViewer.GoToPageAtIndex(docViewer.PageCount);
            SetPageNumber();
        }

        private void btnPrevious_Click(object sender, EventArgs e)
        {
            if (docViewer.CurrentPageIndex != 1)
            {
                docViewer.GoToPageAtIndex(docViewer.CurrentPageIndex - 1);
            }

            SetPageNumber();
        }

        private void btnNext_Click(object sender, EventArgs e)
        {
            if (docViewer.CurrentPageIndex != docViewer.PageCount)
            {
                docViewer.GoToPageAtIndex(docViewer.CurrentPageIndex + 1);
            }

            SetPageNumber();
        }

        private void timer_Tick(object sender, EventArgs e)
        {
            SetPageNumber();
        }

		/// <summary>
        /// Handles Keydown event of PageNumber Textbox
        /// </summary>
        private void txtPageNumber_KeyDown(object sender, KeyEventArgs e)
        {
            timer.Stop();
            int pageNumber=1;
            if (txtPageNumber.Text != "")
            {
                pageNumber = Convert.ToInt16(txtPageNumber.Text);
            }
            if(e.KeyCode==Keys.Enter)
            {
                docViewer.GoToPageAtIndex(pageNumber);
                timer.Start();
            }
        }

        #endregion

        #region Helper methods
        /// <summary>
        /// Loads PDF into PdfViewerControl.
        /// </summary>
        private void LoadDocument(string fileName)
        {
            docViewer.Load(fileName);
        }

        void SetPageNumber()
        {
            txtPageNumber.Text = docViewer.CurrentPageIndex.ToString();
        }

        #endregion

        private void zoomIn_Click(object sender, EventArgs e)
        {
            if (zoomComboBox.SelectedIndex != 0)
                zoomComboBox.SelectedIndex = zoomComboBox.SelectedIndex - 1;

        }

        private void zoomComboBox_SelectedIndexChanged(object sender, EventArgs e)
        {
            int ZoomLevel = Convert.ToInt32(zoomComboBox.SelectedItem.ToString().Replace("%", ""));
            docViewer.ZoomTo(ZoomLevel);
            ZoomPercentage = ZoomLevel;
        }

        private void zoomOut_Click(object sender, EventArgs e)
        {
            if (zoomComboBox.SelectedIndex != zoomComboBox.Items.Count - 1)
                zoomComboBox.SelectedIndex = zoomComboBox.SelectedIndex + 1;
            ZoomPercentage= Convert.ToInt32(zoomComboBox.SelectedItem.ToString().Replace("%", ""));
        }

        private void FitPage_Click(object sender, EventArgs e)
        {
            docViewer.ZoomTo(57);
            ZoomPercentage = 57;
            zoomComboBox.Text = ZoomPercentage.ToString() + "%";
           
        }

        private void FitWidth_Click(object sender, EventArgs e)
        {
            docViewer.ZoomTo(169);
            ZoomPercentage = 169;
            zoomComboBox.Text = ZoomPercentage.ToString() + "%";
        }
               
     
    }
}